RAISE(3)

NAME
raise - send a signal to the current thread

SYNOPSIS
#include <signal.h>
int
raise(int sig);

DESCRIPTION
The raise() function sends the signal sig to the current thread.

RETURN VALUES

ERRORS
raise() will fail and no signal will be sent if:

[EINVAL]
    sig is not a valid signal number.

SEE ALSO
kill(2)

STANDARDS
The raise() function conforms to ansiC and p1003.1-2008.